EmptyDocValuesProducer (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.index, class: EmptyDocValuesProducer

Package org.apache.lucene.index

# Class EmptyDocValuesProducer

java.lang.Object
org.apache.lucene.codecs.DocValuesProducer
org.apache.lucene.index.EmptyDocValuesProducer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public abstract class EmptyDocValuesProducer extends DocValuesProducer
Abstract base class implementing a `DocValuesProducer` that has no doc values.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmptyDocValuesProducer()`
  Sole constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkIntegrity()`
  Checks consistency of this producer
  `void`
  `close()`
  Closes this doc values producer.
  `BinaryDocValues`
  `getBinary(FieldInfo field)`
  Returns `BinaryDocValues` for this field.
  `NumericDocValues`
  `getNumeric(FieldInfo field)`
  Returns `NumericDocValues` for this field.
  `DocValuesSkipper`
  `getSkipper(FieldInfo field)`
  Returns a `DocValuesSkipper` for this field.
  `SortedDocValues`
  `getSorted(FieldInfo field)`
  Returns `SortedDocValues` for this field.
  `SortedNumericDocValues`
  `getSortedNumeric(FieldInfo field)`
  Returns `SortedNumericDocValues` for this field.
  `SortedSetDocValues`
  `getSortedSet(FieldInfo field)`
  Returns `SortedSetDocValues` for this field.

  ### Methods inherited from class org.apache.lucene.codecs.DocValuesProducer

  `getMergeInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmptyDocValuesProducer

    protected EmptyDocValuesProducer()
    Sole constructor

- ## Method Details

  - ### getNumeric

    public NumericDocValues getNumeric(FieldInfo field) throws IOException
    Description copied from class: `DocValuesProducer`
    Returns `NumericDocValues` for this field. The returned instance need not be thread-safe: it will only be used by a single thread. The behavior is undefined if the doc values type of the given field is not `DocValuesType.NUMERIC`. The return value is never `null`.
    Specified by:
      `getNumeric` in class `DocValuesProducer`
    Throws:
      `IOException`

  - ### getBinary

    public BinaryDocValues getBinary(FieldInfo field) throws IOException
    Description copied from class: `DocValuesProducer`
    Returns `BinaryDocValues` for this field. The returned instance need not be thread-safe: it will only be used by a single thread. The behavior is undefined if the doc values type of the given field is not `DocValuesType.BINARY`. The return value is never `null`.
    Specified by:
      `getBinary` in class `DocValuesProducer`
    Throws:
      `IOException`

  - ### getSorted

    public SortedDocValues getSorted(FieldInfo field) throws IOException
    Description copied from class: `DocValuesProducer`
    Returns `SortedDocValues` for this field. The returned instance need not be thread-safe: it will only be used by a single thread. The behavior is undefined if the doc values type of the given field is not `DocValuesType.SORTED`. The return value is never `null`.
    Specified by:
      `getSorted` in class `DocValuesProducer`
    Throws:
      `IOException`

  - ### getSortedNumeric

    public SortedNumericDocValues getSortedNumeric(FieldInfo field) throws IOException
    Description copied from class: `DocValuesProducer`
    Returns `SortedNumericDocValues` for this field. The returned instance need not be thread-safe: it will only be used by a single thread. The behavior is undefined if the doc values type of the given field is not `DocValuesType.SORTED_NUMERIC`. The return value is never `null`.
    Specified by:
      `getSortedNumeric` in class `DocValuesProducer`
    Throws:
      `IOException`

  - ### getSortedSet

    public SortedSetDocValues getSortedSet(FieldInfo field) throws IOException
    Description copied from class: `DocValuesProducer`
    Returns `SortedSetDocValues` for this field. The returned instance need not be thread-safe: it will only be used by a single thread. The behavior is undefined if the doc values type of the given field is not `DocValuesType.SORTED_SET`. The return value is never `null`.
    Specified by:
      `getSortedSet` in class `DocValuesProducer`
    Throws:
      `IOException`

  - ### getSkipper

    public DocValuesSkipper getSkipper(FieldInfo field)
    Description copied from class: `DocValuesProducer`
    Returns a `DocValuesSkipper` for this field. The returned instance need not be thread-safe: it will only be used by a single thread. The return value is undefined if `FieldInfo.docValuesSkipIndexType()` returns `DocValuesSkipIndexType.NONE`.
    Specified by:
      `getSkipper` in class `DocValuesProducer`

  - ### checkIntegrity

    public void checkIntegrity()
    Description copied from class: `DocValuesProducer`
    Checks consistency of this producer

    Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

    Specified by:
      `checkIntegrity` in class `DocValuesProducer`

  - ### close

    public void close()
    Closes this doc values producer.